signature Deflate =
sig
	val uncompressed : DeflateBits.byteio -> DeflateBits.byteio
	(*
	 process uncompressed block
	*)
	
	val compressed_variable : DeflateBits.byteio -> DeflateBits.byteio
	(*
	 process compressed block with dynamic huffman trees
	*)
	
	val compressed_fixed : DeflateBits.byteio -> DeflateBits.byteio
	(*
	 process compressed fixed block
	*)
	
	val inflate : DeflateBits.byteio -> DeflateBits.byteio
	(*
	 process DEFLATE compressed io stream until end marker
	*)
	
	val inflate_list : int list -> int list
	(*
	 like inflate on list of bytes
	*)
	
end
